{% extends "include/base.html" %}

{% block content %}

<div class="page-wrapper">

  <div class="container-xl">
    <!-- Page title -->
    <div class="page-header d-print-none">
      <div class="row align-items-center">
        <div class="col">
          <!-- Page pre-title -->
          <div class="page-pretitle">
            Monitor
          </div>
          <h1 class="page-title">
            Liste des sessions
          </h1>
        </div>
        <!-- Page title actions -->
        <div class="col-auto ms-auto d-print-none">
          <div class="btn-list">
            <a href="{% url 'session-create' %}" class="btn btn-primary d-none d-sm-inline-block" data-bs-toggle="modal" data-bs-target="#modal-report">
              <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
              Créer une nouvelle session
            </a>
            <a href="{% url 'session-create' %}" class="btn btn-primary d-sm-none btn-icon" data-bs-toggle="modal" data-bs-target="#modal-report" aria-label="Créer une nouvelle session">
              <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="page-body">
    <div class="container-xl">
      {% if moduleinstance_list %}

       
      <div class="row row-deck row-cards">
        {% for session in moduleinstance_list %}
        <div class="col-12"  style="height: calc(18rem + 10px)" >
        <div class="card" id="Eval{{session.id}}">

          <div class="card-header" style="display: block">
              <div class="divide-y">
                 
                  <h3 class="card-title"><a href={{ session.get_absolute_url }}>{{ session }}</a></h3>
                
                <div class='row' >
                  
                  <div class="col-auto">
                    {% for participant in session.participants.all %}
                    <button class="avatar" type="button" data-bs-toggle="collapse" data-bs-target="#{{ participant.username }}{{ session.id }}" aria-expanded="false" aria-controls="{{ participant.username }}{{session.id}} 0{{session.id}}">{{ participant.first_name|first }}{{ participant.last_name|first }}</button>
                    {% endfor %}
                  </div>
                  <div class="col">
                    <div class="text-truncate">
                      <strong>{{ session.participants.all.count }} participant{{ session.participants.all.count|pluralize }}</strong> pour cette session <strong><a href={{ session.module.get_absolute_url }}>{{ session.module }}</a></strong>
                    </div>
                    <div class="text-muted">{{ session.start_date }} - {{ session.end_date }}
                    </div>
                  </div>
                  <div class="col-auto">
                    <div class="badge bg-primary"><a class="btn btn-primary" href={% url 'session-update'  %}>Modifier la session</a></div>
                  </div>
                </div>
              </div>
          </div>

          <div class="card-body  card-body-scrollable card-body-scrollable-shadow divide-y">
            <div class="accordion-group" id="AccGroup{{ session.id }}">

              <div class="collapse show" id="0{{session.id}}">
                <div class="empty" style="padding: 0rem;">

                  <p class="empty-title">Cette session contient {{ session.evals.all.count }} évaluations</p>
                  <p class="empty-subtitle text-muted">
                    Vous pouvez en créer une nouvelle
                  </p>
                  <div class="empty-action">
                    <a href="{% url 'eval-create'  %}" class="btn btn-primary">
                      <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
                      <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
                      Créer une évaluation
                    </a>
                  </div>
                </div>
              </div>
            
                {% for participant in session.participants.all %}
                <div class="collapse" data-bs-parent="#AccGroup{{ session.id }}" id="{{ participant.username }}{{ session.id }}">
                  {% for session_done in participant.profile.sorted_evals %}
                  {% if session_done.session == session %}
                  <div class="divide-y">
                    {% for eval in session_done.evals %}
                    <div class="row">
                      <div class="col-auto">
                        <a href={{ participant.profile.get_absolute_url }}><span class="avatar">{{ participant.first_name|first }}{{ participant.last_name|first }}</span></a>
                      </div>
                      <div class="col">
                        <div class="text-truncate">
                          <strong> {{ eval.comment }} </strong>
                        </div>
                        <div class="text-muted">
                          {{ session.start_date }} - {{ session.end_date }}
                        </div>
                      </div>
                      <div class="col-auto align-self-center">
                        <div class='text-muted' >Évaluateur</div>
                        <div class="badge bg-primary"><a class="badge bg-primary" href={{eval.author.get_absolute_url}}>{{ eval.author.first_name }} {{ eval.author.last_name }}</a></div>
                      </div>
                    </div>
                    {% empty %} 
                    <div class="empty" style="padding: 0rem;">

                      <p class="empty-title">No results found</p>
                      <p class="empty-subtitle text-muted">
                        Try adjusting your search or filter to find what you're looking for.
                      </p>
                      <div class="empty-action">
                        <a href="./." class="btn btn-primary">
                          <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
                          <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
                          Add your first client
                        </a>
                      </div>
                    </div>
                    {% endfor %} 
                  </div>
                  {% endif %} 
                  {% endfor %} 
                </div>
                {% endfor %}
              </div>

          </div>

        </div>
        </div>

        {% endfor %} 
      
      </div>
      {% else %} 
      <div class="empty">
        <div class="empty-img"><img src="./static/illustrations/undraw_printing_invoices_5r4r.svg" height="128"  alt="">
        </div>
        <p class="empty-title">No results found</p>
        <p class="empty-subtitle text-muted">
          Try adjusting your search or filter to find what you're looking for.
        </p>
        <div class="empty-action">
          <a href="{% url 'session-create' %}" class="btn btn-primary">
            <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
            <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
              Créer une nouvelle session
          </a>
        </div>
      </div>
      {% endif %}


    </div>  
  </div>

</div>

{% endblock %}

